### Method

# GimpUi PaletteSelectButton get_palette

#### Declaration [src]

    const gchar*
    gimp_palette_select_button_get_palette (
      GimpPaletteSelectButton* button
    )

#### Description [src]

Retrieves the name of currently selected palette.

Available since: | 2.4

#### Return value

Returns: | `const gchar*`
| An internal copy of the palette name which must not be freed.
| The data is owned by the instance.
| The value is a NUL terminated UTF-8 string.